| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
paramClear.c File Reference
`#include <stdio.h>`
`#include <math.h>`
`#include <ARX/AR/ar.h>`
Include dependency graph for paramClear.c:

## Functions
int | arParamClear (ARParam *param, int xsize, int ysize, int dist_function_version)
| Create a camera parameter structure representing an idealised lens.
int | arParamDistFactorClear (ARdouble dist_factor[AR_DIST_FACTOR_NUM_MAX], int xsize, int ysize, int dist_function_version)
int | arParamClearWithFOVy (ARParam *param, int xsize, int ysize, ARdouble FOVy)
| Create a camera parameter structure representing an idealised lens with specified field-of-view.

## Function Documentation

## ◆ arParamClear()

int arParamClear | ( | ARParam * | param,
|  | int | xsize,
|  | int | ysize,
|  | int | dist_function_version
| ) |  |

Create a camera parameter structure representing an idealised lens.

This function creates a camera parameter structure representing an idealised lens, that is, a lens with a symmetrical perspective projection and no distortion. This idealised lens is useful in cases where you wish to match the lens model of an OpenGL camera with the same window dimensions.

Parameters

  param | Pointer to an ARParam structure which will be filled out with the resulting camera parameters.
  xsize | The horizontal dimension of the image.
  ysize | The vertical dimension of the image.
  dist_function_version | Allows creation of parameters with an older version of the lens distortion model. Pass AR_DIST_FUNCTION_VERSION_DEFAULT to create an ARParam with the current lens distortion model, or a lesser integer to use an earlier version.

Returns
  0 if the function completed successfully, or -1 in case of error.

Here is the call graph for this function:

## ◆ arParamClearWithFOVy()

int arParamClearWithFOVy | ( | ARParam * | param,
|  | int | xsize,
|  | int | ysize,
|  | ARdouble | FOVy
| ) |  |

Create a camera parameter structure representing an idealised lens with specified field-of-view.

This function creates a camera parameter structure representing an idealised lens, that is, a lens with a symmetrical perspective projection and no distortion. This idealised lens is useful in cases where you wish to match the lens model of an OpenGL camera with the same window dimensions.

Parameters

  param | Pointer to an ARParam structure which will be filled out with the resulting camera parameters.
  xsize | The horizontal dimension of the image.
  ysize | The vertical dimension of the image.
  FOVy | Field-of-view in the vertical (Y) dimension, in radians. If you know only the value in degrees, pass that value multiplied by (M_PI/180.0f).

Returns
  0 if the function completed successfully, or -1 in case of error.

## ◆ arParamDistFactorClear()

int arParamDistFactorClear | ( | ARdouble | dist_factor[AR_DIST_FACTOR_NUM_MAX],
|  | int | xsize,
|  | int | ysize,
|  | int | dist_function_version
| ) |  |